---
title: "Semaglutide vs CagriSema Half-Life & Systemic Washout Calculator (2026 Pharmacokinetics) | Nutrition Research Labs"
source_url: "https://nutritionresearchlabs.com/half-life/semaglutide-vs-cagrisema-weight-loss-comparison"
canonical_url: "https://nutritionresearchlabs.com/half-life/semaglutide-vs-cagrisema-weight-loss-comparison"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Interactive Semaglutide vs CagriSema plasma half-life plotter (Semaglutide: ~7 days | Cagrilintide: ~7 days). Calculate steady-state Cmax/Cmin accumulation, split-dose curves, and 5-half-life 97% washout dates."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://nutritionresearchlabs.com/half-life/semaglutide-vs-cagrisema-weight-loss-comparison](https://nutritionresearchlabs.com/half-life/semaglutide-vs-cagrisema-weight-loss-comparison)
>
> *Interactive Semaglutide vs CagriSema plasma half-life plotter (Semaglutide: ~7 days | Cagrilintide: ~7 days). Calculate steady-state Cmax/Cmin accumulation, split-dose curves, and 5-half-life 97% washout dates.*

## Elimination Kinetics & 97% Washout Benchmark for Semaglutide vs CagriSema

- **Documented Elimination Half-Life (T½):** Semaglutide: ~7 days | Cagrilintide: ~7 days
- **Steady-State Equilibrium Window:** Achieved after 4.0 to 5.0 consecutive half-lives of regular administration.
- **97% Systemic Washout Threshold:** Requires 5.0x elimination half-lives following final dose administration.
- **Optimal Administration Schedule:** Subcutaneous injection once weekly.

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://nutritionresearchlabs.com/half-life/semaglutide-vs-cagrisema-weight-loss-comparison](https://nutritionresearchlabs.com/half-life/semaglutide-vs-cagrisema-weight-loss-comparison).
